SDL_Time(3type)

NAME
SDL_Time - SDL times are signed, 64-bit integers representing nanoseconds since the Unix epoch (Jan 1, 1970).

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef Sint64 SDL_Time;
#define SDL_MAX_TIME SDL_MAX_SINT64
#define SDL_MIN_TIME SDL_MIN_SINT64

DESCRIPTION
They can be converted between POSIX time_t values with

SDL_NS_TO_SECONDS () and

SDL_SECONDS_TO_NS (), and between Windows FILETIME values with SDL_TimeToWindows () and

SDL_TimeFromWindows ().

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_MAX_SINT64(3), •(3), SDL_MIN_SINT64(3)